[bionic/linux-gcp][PATCH 0/5] Update linux-gcp annotations file overlay

classic Classic list List threaded Threaded
12 messages Options
Reply | Threaded
Open this post in threaded view
|

[bionic/linux-gcp][PATCH 0/5] Update linux-gcp annotations file overlay

Marcelo Henrique Cerri
BugLink: http://bugs.launchpad.net/bugs/1752072

This patch should be included after the patch:

  [X,B,C,D,unstable][PATCH] UBUNTU: [Packaging] config-check: Add an include directive

For all other kernels, we can gradually move to this new approach of
having the custom kernel's annotations file including the master's
one. But bionic/linux-gcp is carrying an earlier version of that patch
and because of that it needs to be updated at the same time as the
patch is included.

To make it possible to apply it before linux-gcp is rebased, the patch
set also reverts the initial version of the patch and adds the new
one. Those commit might be dropped after the rebase.

Marcelo Henrique Cerri (5):
  Revert "UBUNTU: [Packaging] config-check: allow overlay annotations
    files"
  UBUNTU: [Packaging] config-check: Add an include directive
  UBUNTU: [Config] linux-gcp: Replace annotations symlink with overlay
  UBUNTU: [Config] linux-gcp: Include master annotations to linux-gcp
    annotations
  UBUNTU: [Config] linux-gcp: Update annotations file

 debian.gcp/config/annotations         | 85 ++++++++++++++++++++++-
 debian.gcp/config/overlay.annotations | 43 ------------
 debian.gcp/reconstruct                |  1 -
 debian/scripts/config-check           | 99 ++++++++++++++++++---------
 debian/source/options                 |  1 -
 5 files changed, 150 insertions(+), 79 deletions(-)
 mode change 120000 => 100644 debian.gcp/config/annotations
 delete mode 100644 debian.gcp/config/overlay.annotations

--
2.17.1


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|

[bionic/linux-gcp][PATCH 1/5] Revert "UBUNTU: [Packaging] config-check: allow overlay annotations files"

Marcelo Henrique Cerri
BugLink: http://bugs.launchpad.net/bugs/1752072

This reverts commit 680157d558f254645f81e417cf905a14b309ba75.

Signed-off-by: Marcelo Henrique Cerri <[hidden email]>
---
 debian/scripts/config-check | 45 +++++++++++++++++--------------------
 1 file changed, 20 insertions(+), 25 deletions(-)

diff --git a/debian/scripts/config-check b/debian/scripts/config-check
index 9caf1e85db93..224be080514a 100755
--- a/debian/scripts/config-check
+++ b/debian/scripts/config-check
@@ -41,38 +41,33 @@ close(CONFIG);
 # ANNOTATIONS: check any annotations marked for enforcement
 my $pass = 0;
 my $total = 0;
+my $annotations = "$commonconfig/annotations";
 my ($config, $value, $options, $option, $value, $check, $policy);
-
+print "$P: $annotations loading annotations\n";
 my %annot;
-my @annotations_list = ("$commonconfig/annotations", glob("$commonconfig/*.annotations"));
-for my $annotations (@annotations_list) {
- print "$P: $annotations loading annotations\n";
- my %current_annot;
- my $form = 1;
- open(ANNOTATIONS, "<$annotations") || die "$P: $annotations: open failed -- $! -- aborting\n";
- while (<ANNOTATIONS>) {
- if (/^# FORMAT: (\S+)/) {
- die "$P: $1: unknown annotations format\n" if ($1 != 2);
- $form = $1;
- }
-
- /^#/ && next;
- chomp;
- /^$/ && next;
+my $form = 1;
+open(ANNOTATIONS, "<$annotations") || die "$P: $annotations: open failed -- $! -- aborting\n";
+while (<ANNOTATIONS>) {
+ if (/^# FORMAT: (\S+)/) {
+ die "$P: $1: unknown annotations format\n" if ($1 != 2);
+ $form = $1;
+ }
 
- /^CONFIG_/ || next;
+ /^#/ && next;
+ chomp;
+ /^$/ && next;
 
- if ($form == 1) {
- ($config, $value, $options) = split(' ', $_, 3);
- } elsif ($form == 2) {
- ($config, $options) = split(' ', $_, 2);
- }
+ /^CONFIG_/ || next;
 
- $current_annot{$config} = $current_annot{$config} . ' ' . $options;
+ if ($form == 1) {
+ ($config, $value, $options) = split(' ', $_, 3);
+ } elsif ($form == 2) {
+ ($config, $options) = split(' ', $_, 2);
  }
- close(ANNOTATIONS);
- %annot = ( %annot, %current_annot );
+
+ $annot{$config} = $annot{$config} . ' ' . $options;
 }
+close(ANNOTATIONS);
 
 my $config;
 for $config (keys %annot) {
--
2.17.1


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|

[bionic/linux-gcp][PATCH 2/5] UBUNTU: [Packaging] config-check: Add an include directive

Marcelo Henrique Cerri
In reply to this post by Marcelo Henrique Cerri
BugLink: http://bugs.launchpad.net/bugs/1752072

Update the config-check script to support a new include directive, that can
be used to override annotations from another file. For instance, with
this change a custom kernel can include the annotation file from
"debian.master/" and override some of it policies.

The directive is only available when using the file format 3, that
extends format 2.

The new directive follows the systax:

        include FILEPATH

Quotes are also accepted:

        include "FILEPATH"

`FILENAME` is always relative to the current annotations file location.
So, assuming a custom kernel, the following directive will include the
annotations file from the generic kernel:

        include "../../debian.master/config/annotations"

To avoid mistakes, any reference to a config in the base annotations
file AFTER the include directive will completely override the references
from the included file.

For instance, the following:

    # FORMAT: 3
    include "../../debian.master/config/annotations"
    CONFIG_X note<some note>

Will cause any line related to CONFIG_X in the included annotations file
to be ignored.

The patch also includes smalls changes to avoid warning due to duplicate
variable declarations.

Signed-off-by: Marcelo Henrique Cerri <[hidden email]>
---
 debian/scripts/config-check | 80 +++++++++++++++++++++++++++----------
 1 file changed, 59 insertions(+), 21 deletions(-)

diff --git a/debian/scripts/config-check b/debian/scripts/config-check
index 224be080514a..843f5999006b 100755
--- a/debian/scripts/config-check
+++ b/debian/scripts/config-check
@@ -3,6 +3,8 @@
 # check-config -- check the current config for issues
 #
 use strict;
+use File::Basename;
+use File::Spec;
 
 my $P = 'check-config';
 
@@ -13,7 +15,7 @@ if ($ARGV[0] eq '--test') {
  die "Usage: $P <config> <arch> <flavour> <commonconfig> <warn-only>\n";
 }
 
-my ($config, $arch, $flavour, $commonconfig, $warn_only) = @ARGV;
+my ($configfile, $arch, $flavour, $commonconfig, $warn_only) = @ARGV;
 
 my %values = ();
 
@@ -25,8 +27,8 @@ $fail_exit = 0 if ($warn_only eq 'true' || $warn_only eq '1');
 my $exit_val = 0;
 
 # Load up the current configuration values -- FATAL if this fails
-print "$P: $config: loading config\n";
-open(CONFIG, "<$config") || die "$P: $config: open failed -- $! -- aborting\n";
+print "$P: $configfile: loading config\n";
+open(CONFIG, "<$configfile") || die "$P: $configfile: open failed -- $! -- aborting\n";
 while (<CONFIG>) {
  # Pull out values.
  /^#*\s*(CONFIG_\w+)[\s=](.*)$/ or next;
@@ -38,38 +40,74 @@ while (<CONFIG>) {
 }
 close(CONFIG);
 
-# ANNOTATIONS: check any annotations marked for enforcement
-my $pass = 0;
-my $total = 0;
-my $annotations = "$commonconfig/annotations";
-my ($config, $value, $options, $option, $value, $check, $policy);
-print "$P: $annotations loading annotations\n";
-my %annot;
-my $form = 1;
-open(ANNOTATIONS, "<$annotations") || die "$P: $annotations: open failed -- $! -- aborting\n";
-while (<ANNOTATIONS>) {
+sub read_annotations {
+    my ($filename) = @_;
+    my %annot;
+    my $form = 1;
+    my ($config, $value, $options);
+
+    # Keep track of the configs that shouldn't be appended because
+    # they were include_annot from another annotations file.
+    # That's a hash of undefs, aka a set.
+    my %noappend;
+
+    print "$P: $filename loading annotations\n";
+    open(my $fd, "<$filename") ||
+ die "$P: $filename: open failed -- $! -- aborting\n";
+    while (<$fd>) {
  if (/^# FORMAT: (\S+)/) {
- die "$P: $1: unknown annotations format\n" if ($1 != 2);
- $form = $1;
+    die "$P: $1: unknown annotations format\n" if ($1 != 2 && $1 != 3);
+    $form = $1;
+ }
+
+ # Format #3 adds the include directive on top of format #2:
+ if ($form == 3 && /^\s*include(\s|$)/) {
+    # Include quoted or unquoted files:
+    if (/^\s*include\s+"(.*)"\s*$/ || /^\s*include\s+(.*)$/) {
+ # The include is relative to the current file
+ my $include_filename = File::Spec->join(dirname($filename), $1);
+ # Append the include files
+ my %include_annot = read_annotations($include_filename);
+ %annot = ( %annot, %include_annot );
+ # And marked them to not be appended:
+ my %included_noappend;
+ # Discard the values and keep only the keys
+ @included_noappend{keys %include_annot} = ();
+ %noappend = ( %noappend, %included_noappend );
+ next;
+    } else {
+ die "$P: Invalid include: $_";
+    }
  }
 
  /^#/ && next;
  chomp;
  /^$/ && next;
-
  /^CONFIG_/ || next;
 
  if ($form == 1) {
- ($config, $value, $options) = split(' ', $_, 3);
- } elsif ($form == 2) {
- ($config, $options) = split(' ', $_, 2);
+    ($config, $value, $options) = split(' ', $_, 3);
+ } elsif ($form >= 2) {
+    ($config, $options) = split(' ', $_, 2);
  }
 
+ if (exists $noappend{$config}) {
+    delete $annot{$config};
+    delete $noappend{$config};
+ }
  $annot{$config} = $annot{$config} . ' ' . $options;
+    }
+    close($fd);
+    return %annot;
 }
-close(ANNOTATIONS);
 
-my $config;
+# ANNOTATIONS: check any annotations marked for enforcement
+my $annotations = "$commonconfig/annotations";
+my %annot = read_annotations($annotations);
+
+my $pass = 0;
+my $total = 0;
+my ($config, $value, $options, $option, $check, $policy);
 for $config (keys %annot) {
  $check = 0;
  $options = $annot{$config};
--
2.17.1


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|

[bionic/linux-gcp][PATCH 3/5] UBUNTU: [Config] linux-gcp: Replace annotations symlink with overlay

Marcelo Henrique Cerri
In reply to this post by Marcelo Henrique Cerri
BugLink: http://bugs.launchpad.net/bugs/1752072

Discard the symlink to the master kernel annotations file and replace
it with the overlay file.

Signed-off-by: Marcelo Henrique Cerri <[hidden email]>
---
 debian.gcp/config/annotations         | 44 ++++++++++++++++++++++++++-
 debian.gcp/config/overlay.annotations | 43 --------------------------
 debian.gcp/reconstruct                |  1 -
 debian/source/options                 |  1 -
 4 files changed, 43 insertions(+), 46 deletions(-)
 mode change 120000 => 100644 debian.gcp/config/annotations
 delete mode 100644 debian.gcp/config/overlay.annotations

diff --git a/debian.gcp/config/annotations b/debian.gcp/config/annotations
deleted file mode 120000
index 770f90ce2847..000000000000
--- a/debian.gcp/config/annotations
+++ /dev/null
@@ -1 +0,0 @@
-../../debian.master/config/annotations
\ No newline at end of file
diff --git a/debian.gcp/config/annotations b/debian.gcp/config/annotations
new file mode 100644
index 000000000000..6bbd2cbc22f5
--- /dev/null
+++ b/debian.gcp/config/annotations
@@ -0,0 +1,43 @@
+# Menu: HEADER
+# FORMAT: 2
+# ARCH: x86
+
+# Menu: Device Drivers >> PTP clock support
+CONFIG_DP83640_PHY                              policy<{'amd64': 'n'}>
+#
+
+# Menu: Device Drivers >> SCSI device support >> SCSI device support >> SCSI low-level drivers
+CONFIG_SCSI_VIRTIO                              policy<{'amd64': 'y'}>
+#
+CONFIG_SCSI_VIRTIO                              note<tech preview of new feature>
+
+# Menu: Kernel hacking
+CONFIG_PANIC_ON_OOPS                            policy<{'amd64': 'y'}>
+#
+CONFIG_PANIC_ON_OOPS                            note<keep working if at all possible>
+
+# Menu: Kernel hacking >> Debug Lockups and Hangs
+CONFIG_BOOTPARAM_HARDLOCKUP_PANIC               policy<{'amd64': 'y'}>
+CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC               policy<{'amd64': 'y'}>
+#
+
+# Menu: Networking support >> Networking options
+CONFIG_NETWORK_PHY_TIMESTAMPING                 policy<{'amd64': 'n'}>
+#
+
+# Menu: Networking support >> Networking options >> Network packet filtering framework (Netfilter) >> Core Netfilter Configuration
+CONFIG_NETFILTER_NETLINK_QUEUE                  policy<{'amd64': 'y'}>
+CONFIG_NETFILTER_NETLINK_LOG                    policy<{'amd64': 'y'}>
+#
+
+# Menu: Networking support >> Networking options >> Network packet filtering framework (Netfilter) >> Core Netfilter Configuration >> Netfilter connection tracking support
+CONFIG_NF_CONNTRACK                             policy<{'amd64': 'y'}>
+CONFIG_NF_CONNTRACK_PROCFS                      policy<{'amd64': 'y'}>
+CONFIG_NF_CT_NETLINK                            policy<{'amd64': 'y'}>
+#
+CONFIG_NF_CONNTRACK_PROCFS                      flag<DEPRECATED>
+
+# Menu: Device Drivers >> Block devices
+CONFIG_BLK_DEV_FD                               policy<{'amd64': 'n'}>
+CONFIG_BLK_DEV_FD                               note<LP:1729673>
+
diff --git a/debian.gcp/config/overlay.annotations b/debian.gcp/config/overlay.annotations
deleted file mode 100644
index 6bbd2cbc22f5..000000000000
--- a/debian.gcp/config/overlay.annotations
+++ /dev/null
@@ -1,43 +0,0 @@
-# Menu: HEADER
-# FORMAT: 2
-# ARCH: x86
-
-# Menu: Device Drivers >> PTP clock support
-CONFIG_DP83640_PHY                              policy<{'amd64': 'n'}>
-#
-
-# Menu: Device Drivers >> SCSI device support >> SCSI device support >> SCSI low-level drivers
-CONFIG_SCSI_VIRTIO                              policy<{'amd64': 'y'}>
-#
-CONFIG_SCSI_VIRTIO                              note<tech preview of new feature>
-
-# Menu: Kernel hacking
-CONFIG_PANIC_ON_OOPS                            policy<{'amd64': 'y'}>
-#
-CONFIG_PANIC_ON_OOPS                            note<keep working if at all possible>
-
-# Menu: Kernel hacking >> Debug Lockups and Hangs
-CONFIG_BOOTPARAM_HARDLOCKUP_PANIC               policy<{'amd64': 'y'}>
-CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC               policy<{'amd64': 'y'}>
-#
-
-# Menu: Networking support >> Networking options
-CONFIG_NETWORK_PHY_TIMESTAMPING                 policy<{'amd64': 'n'}>
-#
-
-# Menu: Networking support >> Networking options >> Network packet filtering framework (Netfilter) >> Core Netfilter Configuration
-CONFIG_NETFILTER_NETLINK_QUEUE                  policy<{'amd64': 'y'}>
-CONFIG_NETFILTER_NETLINK_LOG                    policy<{'amd64': 'y'}>
-#
-
-# Menu: Networking support >> Networking options >> Network packet filtering framework (Netfilter) >> Core Netfilter Configuration >> Netfilter connection tracking support
-CONFIG_NF_CONNTRACK                             policy<{'amd64': 'y'}>
-CONFIG_NF_CONNTRACK_PROCFS                      policy<{'amd64': 'y'}>
-CONFIG_NF_CT_NETLINK                            policy<{'amd64': 'y'}>
-#
-CONFIG_NF_CONNTRACK_PROCFS                      flag<DEPRECATED>
-
-# Menu: Device Drivers >> Block devices
-CONFIG_BLK_DEV_FD                               policy<{'amd64': 'n'}>
-CONFIG_BLK_DEV_FD                               note<LP:1729673>
-
diff --git a/debian.gcp/reconstruct b/debian.gcp/reconstruct
index 3dedeff74be5..d460c13a6b85 100644
--- a/debian.gcp/reconstruct
+++ b/debian.gcp/reconstruct
@@ -1,5 +1,4 @@
 # Recreate any symlinks created since the orig.
-[ ! -L 'debian.gcp/config/annotations' ] && ln -sf '../../debian.master/config/annotations' 'debian.gcp/config/annotations'
 # Remove any files deleted from the orig.
 rm -f 'Documentation/devicetree/bindings/display/panel/toppoly,td028ttec1.txt'
 rm -f 'arch/arm/include/asm/kvm_psci.h'
diff --git a/debian/source/options b/debian/source/options
index 0bfba2c30c0c..b29684e49275 100644
--- a/debian/source/options
+++ b/debian/source/options
@@ -1,7 +1,6 @@
 # Ignore vbox symlinks, we will regenerate these at clean (LP:1426113)
 ## autoreconstruct -- begin
 # Ignore any symlinks created since the orig which are rebuilt by reconstruct.
-extend-diff-ignore=^debian.gcp/config/annotations$
 ## autoreconstruct -- end
 
 # force "dpkg-source -I -i" behavior
--
2.17.1


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|

[bionic/linux-gcp][PATCH 4/5] UBUNTU: [Config] linux-gcp: Include master annotations to linux-gcp annotations

Marcelo Henrique Cerri
In reply to this post by Marcelo Henrique Cerri
BugLink: http://bugs.launchpad.net/bugs/1752072

Use the new include directive to inherit and overwrite the master
kernel annotations files.

Signed-off-by: Marcelo Henrique Cerri <[hidden email]>
---
 debian.gcp/config/annotations | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/debian.gcp/config/annotations b/debian.gcp/config/annotations
index 6bbd2cbc22f5..428807c9ec1e 100644
--- a/debian.gcp/config/annotations
+++ b/debian.gcp/config/annotations
@@ -1,7 +1,9 @@
 # Menu: HEADER
-# FORMAT: 2
+# FORMAT: 3
 # ARCH: x86
 
+include "../../debian.master/config/annotations"
+
 # Menu: Device Drivers >> PTP clock support
 CONFIG_DP83640_PHY                              policy<{'amd64': 'n'}>
 #
--
2.17.1


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|

[bionic/linux-gcp][PATCH 5/5] UBUNTU: [Config] linux-gcp: Update annotations file

Marcelo Henrique Cerri
In reply to this post by Marcelo Henrique Cerri
http://bugs.launchpad.net/bugs/1752072

Based on the git log of linux-gcp, add any missing configuration
change to the linux-gcp annotations file and update any necessary flag
as well.

The following commands were used to re-order the annotations file:

    fakeroot debian/rules clean
    kteam-tools/devel/devel-config-summary . test
    kteam-tools/devel/lib-config/devel-reorder-annotations . debian.gcp/config/annotations /tmp/annotations
    sed -i '/^# Menu/ { N; /^# Menu.*\n$/d }' /tmp/annotations
    git clear -dxf
    mv /tmp/annotations debian.gcp/config/annotations

Signed-off-by: Marcelo Henrique Cerri <[hidden email]>
---
 debian.gcp/config/annotations | 53 ++++++++++++++++++++++++++++++-----
 1 file changed, 46 insertions(+), 7 deletions(-)

diff --git a/debian.gcp/config/annotations b/debian.gcp/config/annotations
index 428807c9ec1e..7ec8b56a13e3 100644
--- a/debian.gcp/config/annotations
+++ b/debian.gcp/config/annotations
@@ -4,42 +4,81 @@
 
 include "../../debian.master/config/annotations"
 
-# Menu: Device Drivers >> PTP clock support
+# Menu: Device Drivers >> Block devices
+CONFIG_BLK_DEV_FD                               policy<{'amd64': 'n'}>
+#
+CONFIG_BLK_DEV_FD                               flag<ENFORCE> note<LP:1729673>
+
+# Menu: Device Drivers >> I2C support >> I2C support >> I2C Hardware Bus support
+CONFIG_I2C_AMD_MP2 policy<{'amd64': 'n'}>
+#
+CONFIG_I2C_AMD_MP2 flag<ENFORCE> note<not relevant for gcp>
+
+# Menu: Device Drivers >> Network device support >> Wireless LAN >> Atheros/Qualcomm devices
+CONFIG_WCN36XX_SNAPDRAGON_HACKS policy<{'amd64': 'n'}>
+#
+CONFIG_WCN36XX_SNAPDRAGON_HACKS flag<ENFORCE> note<not relevant for gcp>
+
+# Menu: Device Drivers >> PTP clock support >> PTP clock support
 CONFIG_DP83640_PHY                              policy<{'amd64': 'n'}>
 #
+CONFIG_DP83640_PHY                              mark<ENFORCE> note<LP:1785816> note<not relevant for gcp>
 
 # Menu: Device Drivers >> SCSI device support >> SCSI device support >> SCSI low-level drivers
 CONFIG_SCSI_VIRTIO                              policy<{'amd64': 'y'}>
 #
-CONFIG_SCSI_VIRTIO                              note<tech preview of new feature>
+CONFIG_SCSI_VIRTIO                              flag<ENFORCE> note<LP:1669657> note<tech preview of new feature>
+
+# Menu: Device Drivers >> X86 Platform Specific Device Drivers
+CONFIG_DELL_UART_BACKLIGHT policy<{'amd64': 'n'}>
+CONFIG_DELL_SMBIOS_SMM policy<{'amd64': 'n'}>
+#
+CONFIG_DELL_UART_BACKLIGHT flag<ENFORCE> note<not relevant for gcp>
+CONFIG_DELL_SMBIOS_SMM flag<ENFORCE> note<not relevant for gcp>
 
 # Menu: Kernel hacking
 CONFIG_PANIC_ON_OOPS                            policy<{'amd64': 'y'}>
 #
-CONFIG_PANIC_ON_OOPS                            note<keep working if at all possible>
+CONFIG_PANIC_ON_OOPS   flag<ENFORCE> note<initial packaging> note<keep working if at all possible>
 
 # Menu: Kernel hacking >> Debug Lockups and Hangs
 CONFIG_BOOTPARAM_HARDLOCKUP_PANIC               policy<{'amd64': 'y'}>
 CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC               policy<{'amd64': 'y'}>
 #
+CONFIG_BOOTPARAM_HARDLOCKUP_PANIC               flag<ENFORCE> note<initial packaging>
+CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC               flag<ENFORCE> note<initial packaging>
+
+# Menu: Library routines
+CONFIG_RAID6_PQ_DEFAULT_ALG policy<'amd64': 'avx2x4'>
+CONFIG_RAID6_PQ_DEFAULT_ALG_BOOL policy<'amd64': 'y'>
+#
+CONFIG_RAID6_PQ_DEFAULT_ALG mark<ENFORCE> note<LP:1812728>
+CONFIG_RAID6_PQ_DEFAULT_ALG_BOOL mark<ENFORCE> note<LP:1812728>
+
+# Menu: Networking support >> Bluetooth subsystem support >> Bluetooth device drivers
+CONFIG_BT_QCOMSMD_HACK policy<{'amd64': 'n'}>
+#
+CONFIG_BT_QCOMSMD_HACK flag<ENFORCE> note<not relevant for gcp>
 
 # Menu: Networking support >> Networking options
 CONFIG_NETWORK_PHY_TIMESTAMPING                 policy<{'amd64': 'n'}>
 #
+CONFIG_NETWORK_PHY_TIMESTAMPING flag<ENFORCE> note<LP:1785816> note<not relevant for gcp>
 
 # Menu: Networking support >> Networking options >> Network packet filtering framework (Netfilter) >> Core Netfilter Configuration
 CONFIG_NETFILTER_NETLINK_QUEUE                  policy<{'amd64': 'y'}>
 CONFIG_NETFILTER_NETLINK_LOG                    policy<{'amd64': 'y'}>
 #
+CONFIG_NETFILTER_NETLINK_QUEUE                  flag<ENFORCE> note<initial packaging>
+CONFIG_NETFILTER_NETLINK_LOG                    flag<ENFORCE> note<initial packaging>
 
 # Menu: Networking support >> Networking options >> Network packet filtering framework (Netfilter) >> Core Netfilter Configuration >> Netfilter connection tracking support
 CONFIG_NF_CONNTRACK                             policy<{'amd64': 'y'}>
 CONFIG_NF_CONNTRACK_PROCFS                      policy<{'amd64': 'y'}>
 CONFIG_NF_CT_NETLINK                            policy<{'amd64': 'y'}>
 #
+CONFIG_NF_CONNTRACK                             flag<ENFORCE> note<initial packaging>
+CONFIG_NF_CONNTRACK_PROCFS                      flag<ENFORCE> note<initial packaging>
+CONFIG_NF_CT_NETLINK                            flag<ENFORCE> note<initial packaging>
 CONFIG_NF_CONNTRACK_PROCFS                      flag<DEPRECATED>
 
-# Menu: Device Drivers >> Block devices
-CONFIG_BLK_DEV_FD                               policy<{'amd64': 'n'}>
-CONFIG_BLK_DEV_FD                               note<LP:1729673>
-
--
2.17.1


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|

ACK: [bionic/linux-gcp][PATCH 0/5] Update linux-gcp annotations file overlay

Kamal Mostafa-2
In reply to this post by Marcelo Henrique Cerri
This appears to work fine and looks good to me.

Acked-by: Kamal Mostafa <[hidden email]>

 -Kamal

On Thu, Feb 28, 2019 at 01:15:06PM -0300, Marcelo Henrique Cerri wrote:

> BugLink: http://bugs.launchpad.net/bugs/1752072
>
> This patch should be included after the patch:
>
>   [X,B,C,D,unstable][PATCH] UBUNTU: [Packaging] config-check: Add an include directive
>
> For all other kernels, we can gradually move to this new approach of
> having the custom kernel's annotations file including the master's
> one. But bionic/linux-gcp is carrying an earlier version of that patch
> and because of that it needs to be updated at the same time as the
> patch is included.
>
> To make it possible to apply it before linux-gcp is rebased, the patch
> set also reverts the initial version of the patch and adds the new
> one. Those commit might be dropped after the rebase.
>
> Marcelo Henrique Cerri (5):
>   Revert "UBUNTU: [Packaging] config-check: allow overlay annotations
>     files"
>   UBUNTU: [Packaging] config-check: Add an include directive
>   UBUNTU: [Config] linux-gcp: Replace annotations symlink with overlay
>   UBUNTU: [Config] linux-gcp: Include master annotations to linux-gcp
>     annotations
>   UBUNTU: [Config] linux-gcp: Update annotations file
>
>  debian.gcp/config/annotations         | 85 ++++++++++++++++++++++-
>  debian.gcp/config/overlay.annotations | 43 ------------
>  debian.gcp/reconstruct                |  1 -
>  debian/scripts/config-check           | 99 ++++++++++++++++++---------
>  debian/source/options                 |  1 -
>  5 files changed, 150 insertions(+), 79 deletions(-)
>  mode change 120000 => 100644 debian.gcp/config/annotations
>  delete mode 100644 debian.gcp/config/overlay.annotations
>
> --
> 2.17.1
>
>
> --
> kernel-team mailing list
> [hidden email]
> https://lists.ubuntu.com/mailman/listinfo/kernel-team

--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|

Re: [bionic/linux-gcp][PATCH 0/5] Update linux-gcp annotations file overlay

Khaled Elmously
In reply to this post by Marcelo Henrique Cerri
Possibly a stupid question, but couldn't all of this have been achieved using scripts/kconfig/merge_config.sh and config fragments?





On 2019-02-28 13:15:06 , Marcelo Henrique Cerri wrote:

> BugLink: http://bugs.launchpad.net/bugs/1752072
>
> This patch should be included after the patch:
>
>   [X,B,C,D,unstable][PATCH] UBUNTU: [Packaging] config-check: Add an include directive
>
> For all other kernels, we can gradually move to this new approach of
> having the custom kernel's annotations file including the master's
> one. But bionic/linux-gcp is carrying an earlier version of that patch
> and because of that it needs to be updated at the same time as the
> patch is included.
>
> To make it possible to apply it before linux-gcp is rebased, the patch
> set also reverts the initial version of the patch and adds the new
> one. Those commit might be dropped after the rebase.
>
> Marcelo Henrique Cerri (5):
>   Revert "UBUNTU: [Packaging] config-check: allow overlay annotations
>     files"
>   UBUNTU: [Packaging] config-check: Add an include directive
>   UBUNTU: [Config] linux-gcp: Replace annotations symlink with overlay
>   UBUNTU: [Config] linux-gcp: Include master annotations to linux-gcp
>     annotations
>   UBUNTU: [Config] linux-gcp: Update annotations file
>
>  debian.gcp/config/annotations         | 85 ++++++++++++++++++++++-
>  debian.gcp/config/overlay.annotations | 43 ------------
>  debian.gcp/reconstruct                |  1 -
>  debian/scripts/config-check           | 99 ++++++++++++++++++---------
>  debian/source/options                 |  1 -
>  5 files changed, 150 insertions(+), 79 deletions(-)
>  mode change 120000 => 100644 debian.gcp/config/annotations
>  delete mode 100644 debian.gcp/config/overlay.annotations
>
> --
> 2.17.1
>
>
> --
> kernel-team mailing list
> [hidden email]
> https://lists.ubuntu.com/mailman/listinfo/kernel-team

--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|

Re: [bionic/linux-gcp][PATCH 0/5] Update linux-gcp annotations file overlay

Marcelo Henrique Cerri
On Sun, Mar 03, 2019 at 06:39:22PM -0500, Khaled Elmously wrote:
> Possibly a stupid question, but couldn't all of this have been achieved using scripts/kconfig/merge_config.sh and config fragments?
>

I don't see how. The annotations file and the configs are different
things.

>
>
>
>
> On 2019-02-28 13:15:06 , Marcelo Henrique Cerri wrote:
> > BugLink: http://bugs.launchpad.net/bugs/1752072
> >
> > This patch should be included after the patch:
> >
> >   [X,B,C,D,unstable][PATCH] UBUNTU: [Packaging] config-check: Add an include directive
> >
> > For all other kernels, we can gradually move to this new approach of
> > having the custom kernel's annotations file including the master's
> > one. But bionic/linux-gcp is carrying an earlier version of that patch
> > and because of that it needs to be updated at the same time as the
> > patch is included.
> >
> > To make it possible to apply it before linux-gcp is rebased, the patch
> > set also reverts the initial version of the patch and adds the new
> > one. Those commit might be dropped after the rebase.
> >
> > Marcelo Henrique Cerri (5):
> >   Revert "UBUNTU: [Packaging] config-check: allow overlay annotations
> >     files"
> >   UBUNTU: [Packaging] config-check: Add an include directive
> >   UBUNTU: [Config] linux-gcp: Replace annotations symlink with overlay
> >   UBUNTU: [Config] linux-gcp: Include master annotations to linux-gcp
> >     annotations
> >   UBUNTU: [Config] linux-gcp: Update annotations file
> >
> >  debian.gcp/config/annotations         | 85 ++++++++++++++++++++++-
> >  debian.gcp/config/overlay.annotations | 43 ------------
> >  debian.gcp/reconstruct                |  1 -
> >  debian/scripts/config-check           | 99 ++++++++++++++++++---------
> >  debian/source/options                 |  1 -
> >  5 files changed, 150 insertions(+), 79 deletions(-)
> >  mode change 120000 => 100644 debian.gcp/config/annotations
> >  delete mode 100644 debian.gcp/config/overlay.annotations
> >
> > --
> > 2.17.1
> >
> >
> > --
> > kernel-team mailing list
> > [hidden email]
> > https://lists.ubuntu.com/mailman/listinfo/kernel-team
--
Regards,
Marcelo


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team

signature.asc (499 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: [bionic/linux-gcp][PATCH 0/5] Update linux-gcp annotations file overlay

Marcelo Henrique Cerri
In reply to this post by Marcelo Henrique Cerri
Since the bug mentioned on the patches was already used. I created a new
one to be used instead:

BugLink: http://bugs.launchpad.net/bugs/1820075

On Thu, Feb 28, 2019 at 01:15:06PM -0300, Marcelo Henrique Cerri wrote:

> BugLink: http://bugs.launchpad.net/bugs/1752072
>
> This patch should be included after the patch:
>
>   [X,B,C,D,unstable][PATCH] UBUNTU: [Packaging] config-check: Add an include directive
>
> For all other kernels, we can gradually move to this new approach of
> having the custom kernel's annotations file including the master's
> one. But bionic/linux-gcp is carrying an earlier version of that patch
> and because of that it needs to be updated at the same time as the
> patch is included.
>
> To make it possible to apply it before linux-gcp is rebased, the patch
> set also reverts the initial version of the patch and adds the new
> one. Those commit might be dropped after the rebase.
>
> Marcelo Henrique Cerri (5):
>   Revert "UBUNTU: [Packaging] config-check: allow overlay annotations
>     files"
>   UBUNTU: [Packaging] config-check: Add an include directive
>   UBUNTU: [Config] linux-gcp: Replace annotations symlink with overlay
>   UBUNTU: [Config] linux-gcp: Include master annotations to linux-gcp
>     annotations
>   UBUNTU: [Config] linux-gcp: Update annotations file
>
>  debian.gcp/config/annotations         | 85 ++++++++++++++++++++++-
>  debian.gcp/config/overlay.annotations | 43 ------------
>  debian.gcp/reconstruct                |  1 -
>  debian/scripts/config-check           | 99 ++++++++++++++++++---------
>  debian/source/options                 |  1 -
>  5 files changed, 150 insertions(+), 79 deletions(-)
>  mode change 120000 => 100644 debian.gcp/config/annotations
>  delete mode 100644 debian.gcp/config/overlay.annotations
>
> --
> 2.17.1
>
--
Regards,
Marcelo


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team

signature.asc (499 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

ACK[bionic][cosmic]/cmnt: [bionic/linux-gcp][PATCH 0/5] Update linux-gcp annotations file overlay

Kleber Souza
In reply to this post by Marcelo Henrique Cerri
On 2/28/19 5:15 PM, Marcelo Henrique Cerri wrote:

> BugLink: http://bugs.launchpad.net/bugs/1752072
>
> This patch should be included after the patch:
>
>   [X,B,C,D,unstable][PATCH] UBUNTU: [Packaging] config-check: Add an include directive
>
> For all other kernels, we can gradually move to this new approach of
> having the custom kernel's annotations file including the master's
> one. But bionic/linux-gcp is carrying an earlier version of that patch
> and because of that it needs to be updated at the same time as the
> patch is included.
>
> To make it possible to apply it before linux-gcp is rebased, the patch
> set also reverts the initial version of the patch and adds the new
> one. Those commit might be dropped after the rebase.
>
> Marcelo Henrique Cerri (5):
>   Revert "UBUNTU: [Packaging] config-check: allow overlay annotations
>     files"
>   UBUNTU: [Packaging] config-check: Add an include directive
>   UBUNTU: [Config] linux-gcp: Replace annotations symlink with overlay
>   UBUNTU: [Config] linux-gcp: Include master annotations to linux-gcp
>     annotations
>   UBUNTU: [Config] linux-gcp: Update annotations file
>
>  debian.gcp/config/annotations         | 85 ++++++++++++++++++++++-
>  debian.gcp/config/overlay.annotations | 43 ------------
>  debian.gcp/reconstruct                |  1 -
>  debian/scripts/config-check           | 99 ++++++++++++++++++---------
>  debian/source/options                 |  1 -
>  5 files changed, 150 insertions(+), 79 deletions(-)
>  mode change 120000 => 100644 debian.gcp/config/annotations
>  delete mode 100644 debian.gcp/config/overlay.annotations
>

As discussed with Marcelo, this patch is also needed for cosmic/linux-gcp,
so for {bionic,cosmic}/linux-gcp with the changes on the BugLink:

Acked-by: Kleber Sacilotto de Souza <[hidden email]>


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team
Reply | Threaded
Open this post in threaded view
|

APPLIED[cosmic]: [bionic/linux-gcp][PATCH 0/5] Update linux-gcp annotations file overlay

Kleber Souza
In reply to this post by Marcelo Henrique Cerri
On 2/28/19 5:15 PM, Marcelo Henrique Cerri wrote:

> BugLink: http://bugs.launchpad.net/bugs/1752072
>
> This patch should be included after the patch:
>
>   [X,B,C,D,unstable][PATCH] UBUNTU: [Packaging] config-check: Add an include directive
>
> For all other kernels, we can gradually move to this new approach of
> having the custom kernel's annotations file including the master's
> one. But bionic/linux-gcp is carrying an earlier version of that patch
> and because of that it needs to be updated at the same time as the
> patch is included.
>
> To make it possible to apply it before linux-gcp is rebased, the patch
> set also reverts the initial version of the patch and adds the new
> one. Those commit might be dropped after the rebase.
>
> Marcelo Henrique Cerri (5):
>   Revert "UBUNTU: [Packaging] config-check: allow overlay annotations
>     files"
>   UBUNTU: [Packaging] config-check: Add an include directive
>   UBUNTU: [Config] linux-gcp: Replace annotations symlink with overlay
>   UBUNTU: [Config] linux-gcp: Include master annotations to linux-gcp
>     annotations
>   UBUNTU: [Config] linux-gcp: Update annotations file
>
>  debian.gcp/config/annotations         | 85 ++++++++++++++++++++++-
>  debian.gcp/config/overlay.annotations | 43 ------------
>  debian.gcp/reconstruct                |  1 -
>  debian/scripts/config-check           | 99 ++++++++++++++++++---------
>  debian/source/options                 |  1 -
>  5 files changed, 150 insertions(+), 79 deletions(-)
>  mode change 120000 => 100644 debian.gcp/config/annotations
>  delete mode 100644 debian.gcp/config/overlay.annotations
>

Applied to cosmic/linux-gcp/master-next branch, with the following bug link

BugLink: http://bugs.launchpad.net/bugs/1820075


Thanks,
Kleber


--
kernel-team mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/kernel-team